<?php

namespace Garradin;

use Garradin\Plugin\RecusFiscaux\Utils;

// récupérer les tarifs sélectionnés
$lesTarifs = f('tarifs');
$_SESSION['annee_recu'] = strip_tags($_POST['annee_recu']);
// liste des versements correspondants
$_SESSION['lesVersements'] = Utils::getVersementsActivite($_SESSION['annee_recu'], $lesTarifs);

// liste des activités
$activites = Utils::getActivites();
foreach ($activites as $num => $activite)
{
    // ajouter les tarifs de l'activité
    $activite->{'tarifs'} = Utils::getTarifs($activite->{'idActivite'});
}

// préparation de l'affichage
$tpl->assign('lesVersements', $_SESSION['lesVersements']);
$tpl->assign('listeParActiviteEtTarif', $activites);
$tpl->assign('plugin_css', ['style.css']);

// envoyer au template
$tpl->display(PLUGIN_ROOT . '/templates/versements_activites.tpl');
