<!-- nav bar -->
{include file="%s/templates/_nav.tpl"|args:$plugin_root current_nav="config"}

<h2>Configuration</h2>

{if $ok && !$form->hasErrors()}
    <p class="block confirm">
        La configuration a bien été enregistrée.
    </p>
{/if}

{form_errors}

<form method="post" action="{$self_url}">
    <fieldset>
        <legend>Objet</legend>
            <dl>
                <dt><label>L'objet (but) de l'association doit tenir sur 3 lignes de 100 caractères maximum chacune.</label><b title="(Champ obligatoire)">obligatoire pour reçus fiscaux</b></dt>
                {input type="text" name="objet_0" source=$plugin.config label="Ligne 1" maxlength=95}
                {input type="text" name="objet_1" source=$plugin.config label="Ligne 2" maxlength=95}
                {input type="text" name="objet_2" source=$plugin.config label="Ligne 3" maxlength=95}
            </dl>
    </fieldset>

    <fieldset>
        <legend>Droit à la réduction d'impôt</legend>
            <dl>
                <dt><label>Articles concernés par l'association : </label>
                <b title="(Champ obligatoire)">obligatoire pour reçus fiscaux</b>
                </dt>
                {foreach from=$plugin_config->articlesCGI key="num" item="article"}
                    {input type="checkbox" name="cgi_art_%s"|args:$num value="1" source=$plugin.config label=$article}
                {/foreach}
            </dl>
    </fieldset>
    <p class="submit">
        {csrf_field key="recusfiscaux_config"}
        {button type="submit" name="save" label="Enregistrer" shape="right" class="main"}
    </p>
</form>
