<!-- nav bar -->
{include file="%s/templates/_nav.tpl"|args:$plugin_root current_nav="personne"}

<h2>Liste des versements totaux par personne</h2>

<form method="post" action="generer_personnes.php">

    {* Itération sur les personnes *}
    <table class="list">
        <thead>
            <tr>
                <th class="check">
                    <input type="checkbox" title="Tout cocher / décocher" id="f_all" />
                    <label for="f_all"></label>
                </th>
                <th>Id</th>
                <th>Nom Prénom</th>
                <th>Montant</th>
                <th>Adresse</th>
                <th>Ville</th>
                <th>Code postal</th>
            </tr>
        </thead>
        <tbody>
            {foreach from=$lesVersementsTotaux key=rang item="versement"}
                <tr>
                    <td class="check">
                        {input
                            type="checkbox"
                            name="selected[]"
                            value=$rang}
                    </td>
                    <td>{$versement.idUser}</td>
                    <td>{$versement.nom}</td>
                    <td class="montant">{$versement.montant|raw|money}</td>
                    <td>{$versement.adresse}</td>
                    <td>{$versement.ville}</td>
                    <td>{$versement.codePostal}</td>
                </tr>
            {/foreach}
        </tbody>
    </table>

    <input type="submit" value="Générer les reçus" onclick="return verifierChoix(this.form)">
</form>

{* scripts pour cases à cocher *}
<script src="script.js"></script>

<!-- footer -->
{include file="admin/_foot.tpl"}