<?php

namespace Garradin;

use Garradin\Plugin\RecusFiscaux\Utils;

// première année d'exercice
$anneeCourante = date("Y");
$anneesFiscales = Utils::getAnneesFiscales();
if ($anneesFiscales[0] < $anneeCourante) {
    array_unshift($anneesFiscales, $anneeCourante);
}

// liste des activités, cotisations et comptes associés
$activitesTarifsComptes = Utils::getActivitesTarifsEtComptes();

// actions
//lesActions = [ 'versements_personnes.php', 'versements_activites.php' ];

// préparation de l'affichage
$tpl->assign('anneesFiscales', $anneesFiscales);
$tpl->assign('anneeCourante', $anneeCourante);
$tpl->assign('activitesTarifsComptes', $activitesTarifsComptes);
$tpl->assign('plugin_css', ['style.css']);

// envoyer au template
$tpl->display(PLUGIN_ROOT . '/templates/index.tpl');
